- Main Page
- Modules
- Data Structures
- Files
- Related Pages

- Data Structures
- Data Fields

# headerSprintfExtension_s Struct Reference

`#include <header.h>`

## Data Fields
enum headerSprintfExtenstionType | type
const char * | name
union {
void * generic
headerTagFormatFunction formatFunction
headerTagTagFunction tagFunction
headerSprintfExtension_s * more
} | u

## Detailed Description

Definition at line 183 of file header.h.

## Field Documentation

enum headerSprintfExtenstionType headerSprintfExtension_s::type

Type of extension.

Definition at line 184 of file header.h.

Referenced by allocateExtensionCache(), findTag(), formatValue(), freeExtensionCache(), hdrSubscript(), initrpm(), and rpmDisplayQueryTags().

const char* headerSprintfExtension_s::name

Name of extension.

Definition at line 186 of file header.h.

Referenced by findTag(), formatValue(), hdrSubscript(), initrpm(), and rpmDisplayQueryTags().

void* headerSprintfExtension_s::generic

Private extension.

Definition at line 189 of file header.h.

headerTagFormatFunction headerSprintfExtension_s::formatFunction

HEADER_EXT_TAG extension.

Definition at line 190 of file header.h.

Referenced by formatValue().

headerTagTagFunction headerSprintfExtension_s::tagFunction

HEADER_EXT_FORMAT extension.

Definition at line 191 of file header.h.

Referenced by hdrSubscript(), parseExpression(), and parseFormat().

struct headerSprintfExtension_s* headerSprintfExtension_s::more`[read]`

Chained table extension.

Definition at line 192 of file header.h.

Referenced by allocateExtensionCache(), findTag(), formatValue(), freeExtensionCache(), and rpmDisplayQueryTags().

union { ... } headerSprintfExtension_s::u

Referenced by allocateExtensionCache(), findTag(), formatValue(), freeExtensionCache(), hdrSubscript(), parseExpression(), parseFormat(), and rpmDisplayQueryTags().

The documentation for this struct was generated from the following file:

- lib/header.h